## org.biojava.bio.structure.gui.util
Interface StructurePairSelector

All Known Implementing Classes:
  PDBDirPanel, PDBServerPanel, PDBUploadPanel

    public interface StructurePairSelector

To be implemented by JPanels that are part of the GUI to trigger structure aligmnents.

Since:
  1.7
Author:
  Andreas Prlic

Method Summary
`Structure` `getStructure1()`
`Structure` `getStructure2()`

Method Detail

### getStructure1

    Structure getStructure1()
                            throws StructureException

  Throws:
    `StructureException`

### getStructure2

    Structure getStructure2()
                            throws StructureException

  Throws:
    `StructureException`